package cp;


import java.util.Comparator;

public class ScoreLotnrComparator implements Comparator {
  private Round round;

  public ScoreLotnrComparator(Round round) {
    super();
    this.round = round;
  }

  public int compare(Object o1, Object o2) {
    Player a = (Player) o1;
    Player b = (Player) o2;
    double aScore = a.getPairingScore(round);
    double bScore = b.getPairingScore(round);
    if (aScore > bScore) {
      return -1;
    }
    else if (bScore > aScore) {
      return 1;
    }
    else if (a.getLotNr() < b.getLotNr()) {
      return -1;
    }
    else if (a.getLotNr() > b.getLotNr()) {
      return 1;
    }
    return 0;  
  }
}
