package cp.gui;

import cp.ChessPairerException;
import cp.Club;
import cp.Round;
import cp.Tournament;
import java.sql.SQLException;
import java.util.Vector;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.ScrollPaneConstants;
import javax.swing.table.TableColumn;

public class Chess4SetupPanel extends JScrollPane {
  private Chess4SetupTableModel setupTableModel = new Chess4SetupTableModel();
  private JTable jTable = new JTable(setupTableModel);

  public Chess4SetupPanel() {
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.setViewportView(jTable);
    jTable.setFillsViewportHeight(true);
    setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_NEVER);
    setVerticalScrollBarPolicy(ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS);
    jTable.setShowGrid(false);
    jTable.setShowHorizontalLines(true);
  }
  
  public void update() {
		if (setupTableModel != null) {
			setupTableModel.update();
			setColumnWidths();
		}
	}
  
  private void setColumnWidths() {
    TableColumn column = null;
    for (int i = 0; i < jTable.getColumnModel().getColumnCount(); i++) {
      column = jTable.getColumnModel().getColumn(i);
      if (i == 0) {
        column.setPreferredWidth(100); 
      }
      else if (i == 1) {
        column.setPreferredWidth(45);
      }
    }
  }

	void setTournament(Tournament tournament) {
		setupTableModel.setTournament(tournament);
	}
}
