package cp.gui;

import cp.Player;
import cp.Round;
import cp.tiebreak.Tiebreak;
import java.util.Comparator;
import java.util.Vector;

public class StandingsComparator implements Comparator {
  private Round round;

  public StandingsComparator(Round round) {
    super();
    this.round = round;
  }
  
  public int compare(Object o1, Object o2) {
		Player a = (Player)o1;
		Player b = (Player)o2;
    double aScore = a.getScore(round);
    double bScore = b.getScore(round);
    if (aScore > bScore) {
      return -1;
    }
    else if (bScore > aScore) {
      return 1;
    }
    else {
      Vector<Tiebreak> tiebreaks = round.getTournament().getSelectedTiebreaks();
      for (int i=0; i<tiebreaks.size(); i++) {
        Tiebreak tb = tiebreaks.get(i);
        double aTiebreak = a.getTiebreak(tb, round);
        double bTiebreak = b.getTiebreak(tb, round);
        if (aTiebreak > bTiebreak) {
          return -1;
        }
        else if (bTiebreak > aTiebreak) {
          return 1;
        }
      }
    }
    return 0;  
  }
}